Introduction

MariaSQL is a "Kiss" (Keep It Stupid and Simple) client GUI for MySQL and MariaDB.

It is aimed at user willing to make and send queries to MySQL or MariaDB. Its main feature is an edit window in which SQL queries can be edited, saved in a file or retrieved from file.

Query results are displayed by default in pop up windows that can be moved, sized, hidden, closed or kept.

It also features a Data Explorer used to visualize the current connection databases and their tables.

Apart the facility to edit queries, the main advantage of MariaSQL is the way query result can be used. Different way to display them are available and also many ways to copy and paste them in different format. This is useful when preparing reports or documents that include examples of queries and results.

Created with the Personal Edition of HelpNDoc: Produce online help for Qt applications

Copyright © 2016 by Olivier Bertrand. All Rights Reserved.


Getting Started

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


System requirements

Getting Started ››

This GUI is written in C# and requires .NET being available.

There are two style for displaying query child windows:

  • If MariaSQL is called without parameter, the normal parent/child window is used.
  • If MariaSQL is called with any parameter, child windows are displayed as tabbed windows.

On Linux, mono must be installed and used to call the MariaSQL.exe program. However, the mono support of .NET is not perfect and many features do not work with mono, for example:

  1. No background execution.
  2. No tabbed query windows.
  3. Partial result display in wrap mode (see Wrap topic)
  4. No in-line Help available.
  5. F11, F12 may not work.
  6. Zoom in/out does not work.

On all platforms, the MySQL C# connector must be installed for connection with a MySQL or MariaDB local or remote server.

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor


Connecting

Getting Started ››

Use the connect menu item or button (or F2). A Connect dialog enables to specify where and how to connect to MySQL or MariaDB.

Press "connect" to accept the connection.

Created with the Personal Edition of HelpNDoc: Full-featured Help generator


Using MariaSQL

Getting Started ››

Type your queries into the query window.

To execute a query, select it and use the send menu item or button (or F12). Queries can be also selected by double clicking on them. This the default way to do it. It can be changed using the Query and Result menu items. When several queries are selected, they are sent to the server one at a time.

In batch mode (F11) the exact selection is sent to the server as a batch. Several queries can be manually selected but the first one will be used to decide whether a result set is expected or not. Therefore this is mostly useful to group "NonQuery" queries such as insert, update, delete or drop/create. It is also useful to send a partially selected query.

Note: CREATE PROCEDURE commands must be manually selected. There is no need to to specify a specific replacement for the ending semi-colon character but the command must be sent in batch mode (F11)

Note: On Linux, F11 and F12 may not work. Use the menu item or toolbar button.

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Menu

Getting Started ››

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


File menu

Getting Started ›› Menu ››

The Use, Print and Print preview items are not implemented yet.

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Connect

Getting Started ›› Menu ›› File menu ››

Displays the Connect dialog window.

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Disconnect

Getting Started ›› Menu ›› File menu ››

Disconnect from the current connection.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


New

Getting Started ›› Menu ›› File menu ››

Creates a new empty query window.

Created with the Personal Edition of HelpNDoc: Free help authoring tool


Open

Getting Started ›› Menu ›› File menu ››

Opens a load file dialog. The selected file will be loaded in the current query window.

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Save

Getting Started ›› Menu ›› File menu ››

Saves the content of the current query window.

If it was not loaded from a file, this acts as the Save As... item.

Created with the Personal Edition of HelpNDoc: Benefits of a Help Authoring Tool


Save As...

Getting Started ›› Menu ›› File menu ››

Displays a save file dialog allowing to specify the file in which the current query window will be saved.

Created with the Personal Edition of HelpNDoc: Create help files for the Qt Help Framework


Quit

Getting Started ›› Menu ›› File menu ››

Leaves MariaSQL. If the content of some query windows was modified, you will be prompted to save it.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Window

Getting Started ›› Menu ››

Displays a list of currently existing child windows (Queries or Data Explorer)

Click on one to get the focus on it.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Options

Getting Started ›› Menu ››

Created with the Personal Edition of HelpNDoc: Easily create Help documents


Trace

Getting Started ›› Menu ›› Options ››

Check it to enable tracing. Tracing is added to the log output in the same media.

Created with the Personal Edition of HelpNDoc: Easy EBook and documentation generator


Log Type

Getting Started ›› Menu ›› Options ››

Displays a drop down item enabling to specify where the log is written. The choice is:

None: No log produced.

Console: To be used when the program was started from a shell.

File: Trace is logged into the MariaSQL.log file. This is the default.

Display: Displays a pop up window in which the trace will be written.

Some events are logged, in particular all commands sent to the server.

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy


Beep

Getting Started ›› Menu ›› Options ››

When checked, the program is beeping on some warning or error occasions.

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy


Global settings

Getting Started ›› Menu ›› Options ››

When checked, all the setting made from one query window -- such as auto executing or result formats -- are global, meaning they apply to all child windows (Query and Data Explorer)

This is the default, otherwise setting are kept per child windows.

In not global mode, the way connection is made depends on the connection pooling.

If connected to a connection pool (the default), each query window have its own connection (to the same server). This is useful in particular when using background query execution.

If pooling is not used, all windows share the same connection but can use different databases. This means that when switching from one window to another, a change database command can be executed if needed.

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Locale

Getting Started ›› Menu ›› Options ››

This combo box item can be used to choose the locale (C# Culture) used to display the results. By default it is the locale used by the client machine.

Created with the Personal Edition of HelpNDoc: Free help authoring tool


Edit

Getting Started ›› Menu ››

This is a classical EDIT menu.

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Query

Getting Started ›› Menu ››

Created with the Personal Edition of HelpNDoc: News and information about help authoring tools and software


Send Queries

Getting Started ›› Menu ›› Query ››

Sends the selected query (queries) to the connected server. If several queries are selected, they are sent to the server one at a time.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Send Batch

Getting Started ›› Menu ›› Query ››

Send selected queries all together. This is mostly useful when sending a procedure definition. It can also be used to group, for instance, many insert or update statements and get the total affected rows.

However, avoid it when the selected commands are a mixture of query, non query and or use commands because only the first one will be tested to determine the mode of execution.

Created with the Personal Edition of HelpNDoc: Produce electronic books easily


in Background

Getting Started ›› Menu ›› Query ››

When selected, queries are executed by a background thread.

This is useful when you expect to execute long queries. When a query takes more than 3 seconds, a progress bar appears in the status strip of the window showing the progression of the query.

Because neither MySQL nor MariaDB send progress information, it just shows the time spent until the query is stopped by the query timeout limit.

In this mode, a "Kill" button is added to the toolbar allowing to cancel the query at any time.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Auto Exec

Getting Started ›› Menu ›› Query ››

When this item is checked, double clicking on a query selects and executes it.

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Auto Select

Getting Started ›› Menu ›› Query ››

When checked, if sending command is done (for instance F12) and no text is selected, the query on which the cursor is placed is automatically selected.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Auto Display

Getting Started ›› Menu ›› Query ››

When checked, the result a a query is automatically displayed after execution. This is the default.

If not, the last result set can be displayed using the toolbar diplay result button.

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Paste Result

Getting Started ›› Menu ›› Query ››

When checked, query results are pasted in the query window instead of being displayed in a separate window.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Keep results

Getting Started ›› Menu ›› Query ››

If checked, previous result windows are kept when a new query is executed.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Show Warnings

Getting Started ›› Menu ›› Query ››

When the last executed query raised warnings, they can be displayed clicking this menu item.

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Auto Show Warnings

Getting Started ›› Menu ›› Query ››

When checked, eventual warnings are automatically displayed.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Result

Getting Started ›› Menu ››

Created with the Personal Edition of HelpNDoc: Full-featured multi-format Help generator


Copy

Getting Started ›› Menu ›› Result ››

Copy the last result of the current query window into the clipboard.

It is copied by default using a MySQL like format (see Copy format)

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents


Wrap

Getting Started ›› Menu ›› Result ››

If checked, wrapping mode is enabled for string result cells.

This is great for results with long strings, such as tables containing text columns.

It is a must when a string is multi-line, in particular to display a "SHOW CREATE TABLE" result.

Note: Currently this does not work on Linux. However even if only the first line is displayed, the whole content is copied into the clipboard when result copying is done.

Created with the Personal Edition of HelpNDoc: Easily create EPub books


Row numbers

Getting Started ›› Menu ›› Result ››

Check it to have row numbers added to result windows.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Transpose

Getting Started ›› Menu ›› Result ››

When checked, result set are transposed when displayed. The transposed format depends on the Row numbers setting.

This also apply to result copying in MySQL style.

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Bin as Text

Getting Started ›› Menu ›› Result ››

When checked, byte arrays are treated as text. This is useful in particular to display results coming from UDF's because even for UDF's defined as returning string, the result is actually a byte array.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Data Formats...

Getting Started ›› Menu ›› Result ››

Displays a dialog box in which the format used to represent some result items can be specified.

When checked, the corresponding item is formatted according to the setting of the following box(es)

This applies to the displayed result boxes and to the copied result in MySQL format.

Created with the Personal Edition of HelpNDoc: Produce Kindle eBooks easily


Copy Format...

Getting Started ›› Menu ›› Result ››

Displays a dialog box enabling to choose the format of the "Copy result" action.

The Yes button set the new format. The Copy button copies the last result set with this format without changing it permanently. This is useful in particular to copy and paste result from a show create table command.

Note: Choosing CSV with the '|' separator makes a table formatted according to the Wiki Markup style.

Created with the Personal Edition of HelpNDoc: Easy EBook and documentation generator


Tool bar

Getting Started ››

Most toolbar buttons act as their menu counterpart.

Created with the Personal Edition of HelpNDoc: Easy EBook and documentation generator


Connect

Getting Started ›› Tool bar ››

Displays the Connect dialog window.

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Data Explorer

Getting Started ›› Tool bar ››

Displays a "Data Explorer" window. It shows the connect server data as a left tree view allowing to see databases and tables information in the right list box when clicking on the tree view items.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Databases

Getting Started ›› Tool bar ››

Should be used to switch from databases.

Executing a "USE" command is not recommended in batch mode because the GUI cannot know about database changed. It is not recommended by the MySQL .NET connector either.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


New

Getting Started ›› Tool bar ››

Creates a new empty query window.

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Open

Getting Started ›› Tool bar ››

Opens a load file dialog. The selected file will be loaded in the current query window.

Query windows can also be populated by dropping a copied file or by drag/drop operation.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Save

Getting Started ›› Tool bar ››

Saves the content of the current query window.

If it was not loaded from a file, this acts as the Save As... item.

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Print

Getting Started ›› Tool bar ››

Not implemented yet.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Send query

Getting Started ›› Tool bar ››

Sends the selected query (queries) to the connected server (or F12).

Multiple queries are sent one at a time. To send multiple queries at a batch, use the menu item or F11.

Created with the Personal Edition of HelpNDoc: Easily create EBooks


New topic

Getting Started ›› Tool bar ››

Displays the last result set of the focused query window.

Created with the Personal Edition of HelpNDoc: Free help authoring tool


Kill

Getting Started ›› Tool bar ››

Visible only when using background execution.

Click it to cancel a long executing query.

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Cut

Getting Started ›› Tool bar ››

Edit cut.

Created with the Personal Edition of HelpNDoc: Create cross-platform Qt Help files


Copy

Getting Started ›› Tool bar ››

Edit copy.

Created with the Personal Edition of HelpNDoc: Easy Qt Help documentation editor


Paste

Getting Started ›› Tool bar ››

Edit paste.

If the clipboard is text, it is pasted the standard way. However, when pasting a file, the file content replaces the query window content.

Files can also be loaded by drag/drop.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Zoom in

Getting Started ›› Tool bar ››

Enlarge the size of the current query window text.

Note: This function does not work on Linux.

Created with the Personal Edition of HelpNDoc: News and information about help authoring tools and software


Zoom out

Getting Started ›› Tool bar ››

Reduce the size of the current query window text.

Note: This function does not work on Linux.

Created with the Personal Edition of HelpNDoc: Free Kindle producer


Help

Getting Started ›› Tool bar ››

Displays this document (MariaSQL.chm)

Note: On Linux the chmsee product must be installed.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Getting help

Getting Started ››

Address specific help requests to me at bertrandop@gmail.com.

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor